{
	"format_version": "1.10.0",
	"minecraft:client_entity": {
		"description": {
			"identifier": "nyc:penguin",
			"spawn_egg": {
				"base_color": "#E742F1",
				"overlay_color": "#FA701F"
			},
			"render_controllers": [
				"controller.render.penguin"
			],
			"geometry": {
				"default": "geometry.penguin"
			},
			"animations": {
				"walk": "animation.penguin.walk",
				"swim": "animation.penguin.swim",
				"look_at_target": "animation.common.look_at_target"
			},
			"scripts": {
				"animate": [
					{
						"walk": "!query.is_in_water && query.modified_move_speed"
					},
					{
						"swim": "query.is_in_water && query.modified_move_speed"
					},
					"look_at_target"
				]
			},
			"textures": {
				"default": "textures/entity/penguin"
			},
			"materials": {
				"default": "entity"
			}
		}
	}
}